> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# erpfields

## "erpfields" MDO List

Implemented by the <see cref="T:SuperOffice.ErpSync.ErpFieldMdoProvider">ErpFieldMdoProvider</see> class.
The name of the MDO list is 'erpfields'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/erpfields
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("erpfields", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "erpfieldsheadings"
* "erpfieldsheadingswithallitem"
* "erpfieldsheadingswithallitemwithnoselection"
* "erpfieldsheadingswithnoselection"
* "erpfieldswithallitem"
* "erpfieldswithallitemwithnoselection"
* "erpfieldswithnoselection"


## Related topics

- [ErpField](/en/api/archive-providers/reference/erpfield.md)
- [ErpField table](/en/database/tables/erpfield.md)
- [SuperOffice.WebApi.Data.ErpSyncFieldMapping](/en/api/reference/webapi/SuperOffice.WebApi.Data.ErpSyncFieldMapping.md)
- [SuperOffice.WebApi.Data.ErpConnectionData](/en/api/reference/webapi/SuperOffice.WebApi.Data.ErpConnectionData.md)
- [SuperOffice.WebApi.Data.ErpConnectionListMapping](/en/api/reference/webapi/SuperOffice.WebApi.Data.ErpConnectionListMapping.md)
- [SuperOffice.WebApi.Data.ErpSyncDefaultValue](/en/api/reference/webapi/SuperOffice.WebApi.Data.ErpSyncDefaultValue.md)
